;              
CREATE USER IF NOT EXISTS "SA" SALT '47fbebcf0015371a' HASH 'c968ecf4750b51ddbaf86ce9a734ccd38e533cfba18931f478a2bc9241887a92' ADMIN;          
CREATE CACHED TABLE "PUBLIC"."ATTRIBUTE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "KEY" VARCHAR(256),
    "VALUE" VARCHAR(2048)
);           
ALTER TABLE "PUBLIC"."ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_A" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ATTRIBUTE;
CREATE CACHED TABLE "PUBLIC"."CATEGORY"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "SORT" INTEGER,
    "CATEGORY_ID" BIGINT
); 
ALTER TABLE "PUBLIC"."CATEGORY" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_3" PRIMARY KEY("ID");      
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.CATEGORY; 
INSERT INTO "PUBLIC"."CATEGORY" VALUES
(1, '2022-09-20 11:34:13', '2022-09-20 11:34:13', 'Personnage principal', '', '', '', 1, NULL),
(2, '2022-09-20 11:34:13', '2022-09-20 11:34:13', 'Personnage secondaire', '', '', '', 2, NULL);        
CREATE CACHED TABLE "PUBLIC"."CHAPTER"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "TITLE" VARCHAR(256),
    "PART_ID" BIGINT,
    "CHAPTERNO" INTEGER,
    "CREATION_TS" TIMESTAMP,
    "OBJECTIVE_TS" TIMESTAMP,
    "DONE_TS" TIMESTAMP,
    "OBJECTIVE_CH" INTEGER
);       
ALTER TABLE "PUBLIC"."CHAPTER" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_5" PRIMARY KEY("ID");       
-- 5 +/- SELECT COUNT(*) FROM PUBLIC.CHAPTER;  
INSERT INTO "PUBLIC"."CHAPTER" VALUES
(1, '2022-09-20 11:34:13', '2023-02-20 15:17:42', '1 Introduction', '', '', '', '1 Introduction', 1, 1, TIMESTAMP '2022-09-20 11:34:13.494', NULL, NULL, 0),
(2, '2023-02-20 15:18:00', '2023-02-20 17:17:25', '2 Installation', '', '', '', '2 Installation', 1, 2, TIMESTAMP '2023-02-20 15:18:00.249', NULL, NULL, 0),
(3, '2023-02-20 15:18:23', '2023-02-20 15:26:57', STRINGDECODE('3 Mise en \u0153uvre'), '', '', '', STRINGDECODE('3 Mise en \u0153uvre'), 1, 3, TIMESTAMP '2023-02-20 15:18:23.164', NULL, NULL, 0),
(4, '2023-02-20 15:18:40', '2023-02-20 22:07:34', '4 Personnalisation', '', '', '', '4 Personnalisation', 1, 4, TIMESTAMP '2023-02-20 15:18:40.132', NULL, NULL, 0),
(5, '2023-02-20 22:06:37', '2023-02-20 22:08:05', '5 Conclusions', '', '', '', '5 Conclusions', 1, 5, TIMESTAMP '2023-02-20 22:06:37.159', NULL, NULL, 0);           
CREATE CACHED TABLE "PUBLIC"."ENDNOTE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "NUMBER" INTEGER NOT NULL,
    "SCENE_ID" BIGINT,
    "TYPE" INTEGER NOT NULL,
    "SORT" VARCHAR(256)
);    
ALTER TABLE "PUBLIC"."ENDNOTE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_C" PRIMARY KEY("ID");       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENDNOTE;  
CREATE CACHED TABLE "PUBLIC"."EPISODE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "NUMBER" INTEGER NOT NULL,
    "STRAND_ID" BIGINT,
    "CHAPTER_ID" BIGINT,
    "SCENE_ID" BIGINT
);         
ALTER TABLE "PUBLIC"."EPISODE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_CE" PRIMARY KEY("ID");      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.EPISODE;  
CREATE CACHED TABLE "PUBLIC"."GENDER"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CHILDHOOD" INTEGER NOT NULL,
    "ADOLESCENCE" INTEGER NOT NULL,
    "ADULTHOOD" INTEGER NOT NULL,
    "RETIREMENT" INTEGER NOT NULL,
    "ICONE" VARCHAR(256)
);            
ALTER TABLE "PUBLIC"."GENDER" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_7" PRIMARY KEY("ID");        
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.GENDER;   
INSERT INTO "PUBLIC"."GENDER" VALUES
(1, '2022-09-20 11:34:13', '2022-09-20 11:34:13', 'Homme', '', '', '', 6, 12, 18, 65, ''),
(2, '2022-09-20 11:34:13', '2022-09-20 11:34:13', 'Femme', '', '', '', 6, 12, 18, 65, '');     
CREATE CACHED TABLE "PUBLIC"."IDEAS"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "STATUS" INTEGER,
    "CATEGORY" VARCHAR(256)
);               
ALTER TABLE "PUBLIC"."IDEAS" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4" PRIMARY KEY("ID");         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.IDEAS;    
CREATE CACHED TABLE "PUBLIC"."INTERNAL"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "KEY" VARCHAR(512),
    "STRING_VALUE" VARCHAR(4096),
    "INTEGER_VALUE" INTEGER,
    "BOOLEAN_VALUE" BOOLEAN,
    "BINVALUE" BINARY(16384)
);             
ALTER TABLE "PUBLIC"."INTERNAL" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_50" PRIMARY KEY("ID");     
-- 46 +/- SELECT COUNT(*) FROM PUBLIC.INTERNAL;
INSERT INTO "PUBLIC"."INTERNAL" VALUES
(1, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'BookCreationDate', '2022-09-20 11:33:34', 0, FALSE, NULL),
(2, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'BookUpdate', '2022-09-20 11:34:13', 0, FALSE, NULL),
(3, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'Title', 'Orthographe - Grammaire - Synonymes', 0, FALSE, NULL),
(4, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'SubTitle', '', 0, FALSE, NULL),
(5, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'Author', 'FaVdB', 0, FALSE, NULL),
(6, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'Copyright', 'CC-BY-SA', 0, FALSE, NULL),
(7, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'Blurb', '', 0, FALSE, NULL),
(8, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'Notes', '', 0, FALSE, NULL),
(9, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'Assistant', '', 0, FALSE, NULL),
(10, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'Scenario', '0', 0, FALSE, NULL),
(11, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'Markdown', '0', 0, FALSE, NULL),
(12, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'ISBN', '', 0, FALSE, NULL),
(13, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'UUID', '0fc3e5dc-1d50-40e6-bec3-d14ffdd35491', 0, FALSE, NULL),
(14, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'Language', 'fr', 0, FALSE, NULL),
(15, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'Nature', '0', 0, FALSE, NULL),
(16, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'BACKUP_DIR', '', 0, FALSE, NULL),
(17, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'BACKUP_AUTO', '0', 0, FALSE, NULL),
(18, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'BACKUP_INCREMENT', '0', 0, FALSE, NULL),
(19, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EDITOR_MODLESS', '0', 0, FALSE, NULL),
(20, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EDITOR_USE', '0', 0, FALSE, NULL),
(21, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EDITOR_NAME', '', 0, FALSE, NULL),
(22, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EDITOR_EXTENSION', '', 0, FALSE, NULL),
(23, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EDITOR_TEMPLATE', '', 0, FALSE, NULL),
(24, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EXPORT_DIR', '/home/favdb/oStorybook/oStorybook-doc/fr/guides/VerifOrtho/html/', 0, FALSE, NULL),
(25, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EXPORT_CHAPTER_BOOKTITLE', '0', 0, FALSE, NULL),
(26, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EXPORT_CHAPTER_BREAKPAGE', '0', 0, FALSE, NULL),
(27, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EXPORT_HTML_CSS', '', 0, FALSE, NULL),
(28, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EXPORT_HTML_NAV', '0', 0, FALSE, NULL),
(29, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EXPORT_HTML_NAVIMAGE', '0', 0, FALSE, NULL),
(30, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EXPORT_HTML_MULTICHAPTER', '0', 0, FALSE, NULL),
(31, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EXPORT_HTML_MULTISCENE', '0', 0, FALSE, NULL),
(32, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EXPORT_FORMAT', 'html', 0, FALSE, NULL),
(33, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EXPORT_CSV_QUOTE', '', 0, FALSE, NULL),
(34, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EXPORT_CSV_COMMA', '', 0, FALSE, NULL),
(35, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EXPORT_TXT_TAB', '0', 0, FALSE, NULL),
(36, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'EXPORT_TXT_SEPARATOR', '', 0, FALSE, NULL),
(37, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'IMPORT_DIRECTORY', '', 0, FALSE, NULL);         
INSERT INTO "PUBLIC"."INTERNAL" VALUES
(38, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'IMPORT_FILE', '', 0, FALSE, NULL),
(39, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'LAYOUT_BOOK', '000001001', 0, FALSE, NULL),
(40, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'LAYOUT_SCENE_SEPARATOR', '.oOo.', 0, FALSE, NULL),
(41, '2022-09-20 11:33:34', '2022-09-20 11:33:34', '', '', '', '', 'CALENDAR_USE', '', 0, FALSE, NULL),
(42, '2022-09-20 11:33:35', '2022-09-20 11:33:35', '', '', '', '', 'EPUB_COVER', '0', 0, FALSE, NULL),
(43, '2022-09-20 11:34:13', '2022-09-20 11:34:13', '', '', '', '', 'EpubCover', '0', 0, FALSE, NULL),
(44, '2022-09-20 11:34:14', '2022-09-20 11:34:14', '', '', '', '', 'TypistUse', '0', 0, FALSE, NULL),
(45, '2023-02-20 15:17:04', '2023-02-20 15:17:04', '', '', '', '', 'Review', '0', 0, FALSE, NULL),
(46, '2023-02-20 15:17:04', '2023-02-20 15:17:04', '', '', '', '', 'LAYOUT_SHOW_REVIEW', '0', 0, FALSE, NULL);              
CREATE CACHED TABLE "PUBLIC"."LOCATION"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ADDRESS" VARCHAR(256),
    "CITY" VARCHAR(256),
    "COUNTRY" VARCHAR(256),
    "ALTITUDE" INTEGER,
    "GPS" VARCHAR(256),
    "LOCATION_ID" BIGINT
);    
ALTER TABLE "PUBLIC"."LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_9" PRIMARY KEY("ID");      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.LOCATION; 
CREATE CACHED TABLE "PUBLIC"."PART"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "NUMBER" INTEGER,
    "PART_ID" BIGINT,
    "CREATION_TS" TIMESTAMP,
    "OBJECTIVE_TS" TIMESTAMP,
    "DONE_TS" TIMESTAMP,
    "OBJECTIVE_CH" INTEGER
);       
ALTER TABLE "PUBLIC"."PART" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2" PRIMARY KEY("ID");          
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.PART;     
INSERT INTO "PUBLIC"."PART" VALUES
(1, '2022-09-20 11:34:13', '2022-09-20 11:34:13', 'Partie 1', '', '', '', 1, NULL, TIMESTAMP '2022-09-20 11:34:13.491', NULL, NULL, 0);     
CREATE CACHED TABLE "PUBLIC"."PERSON"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "GENDER_ID" BIGINT,
    "FIRSTNAME" VARCHAR(256),
    "LASTNAME" VARCHAR(256),
    "ABBREVIATION" VARCHAR(256),
    "BIRTHDAY" TIMESTAMP,
    "DAYOFDEATH" TIMESTAMP,
    "OCCUPATION" VARCHAR(256),
    "COLOR" INTEGER,
    "CATEGORY_ID" BIGINT
);         
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_8" PRIMARY KEY("ID");        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON;   
CREATE CACHED TABLE "PUBLIC"."PLOT"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CATEGORY" VARCHAR(255)
);      
ALTER TABLE "PUBLIC"."PLOT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_25" PRIMARY KEY("ID");         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PLOT;     
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "PERSON1_ID" BIGINT,
    "PERSON2_ID" BIGINT,
    "START_SCENE_ID" BIGINT,
    "END_SCENE_ID" BIGINT
); 
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_7A" PRIMARY KEY("ID"); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP;             
CREATE CACHED TABLE "PUBLIC"."SCENE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CHAPTER_ID" BIGINT,
    "STRAND_ID" BIGINT,
    "SCENENO" INTEGER,
    "SCENE_TS" TIMESTAMP,
    "TITLE" VARCHAR(2048),
    "SUMMARY" VARCHAR(32768),
    "STATUS" INTEGER,
    "INTENSITY" INTEGER,
    "DURATION" VARCHAR(255),
    "RELATIVE_DATE_DIFFERENCE" INTEGER,
    "RELATIVE_TIME" VARCHAR(255),
    "RELATIVE_SCENE_ID" BIGINT,
    "INFORMATIVE" BOOLEAN,
    "SCENARIO_PITCH" VARCHAR(1024),
    "SCENARIO_STAGE" INTEGER,
    "SCENARIO_START" INTEGER,
    "SCENARIO_END" INTEGER,
    "SCENARIO_MOMENT" INTEGER,
    "SCENARIO_LOC" INTEGER,
    "ODF" VARCHAR(256),
    "NARRATOR_ID" BIGINT
);             
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4B" PRIMARY KEY("ID");        
-- 14 +/- SELECT COUNT(*) FROM PUBLIC.SCENE;   
INSERT INTO "PUBLIC"."SCENE" VALUES
(1, '2022-09-20 11:34:13', '2023-02-20 17:15:44', '1.3 Grammalecte', '', '', '', 1, 1, 3, TIMESTAMP '2022-09-20 11:34:13.497', '1.3 Grammalecte', STRINGDECODE('<p> <i>Grammalecte est un correcteur grammatical et typographique open source d\u00e9di\u00e9 \u00e0 la langue fran\u00e7aise, pour Writer (LibreOffice, OpenOffice), Firefox &amp; Thunderbird, Chrome, etc. </i> </p> \n<p> <i>Grammalecte essaie d\u2019apporter une aide \u00e0 l\u2019\u00e9criture du fran\u00e7ais sans parasiter l\u2019attention des utilisateurs avec de fausses alertes. Ce correcteur suit donc le principe suivant : le moins de \u00ab&nbsp;faux positifs&nbsp;\u00bb possible&nbsp;; s\u2019il n\u2019est pas possible de d\u00e9terminer avec de fortes chances qu\u2019une suite de mots douteuse est erron\u00e9e, le correcteur ne signalera rien. </i> </p> \n<p> <i>Grammalecte dispose d\u2019un moteur grammatical qui, en interne, simplifie le texte au fur et \u00e0 mesure pour d\u00e9tecter nombre d\u2019erreurs diverses. En premier lieu, il examine le paragraphe et sa ponctuation, puis il le scinde en phrase</i>. </p> \n<p align=\"right\"> (source : <a href=\"https://grammalecte.net\">https://grammalecte.net</a>&nbsp;) </p>'), 0, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(2, '2022-09-20 11:35:12', '2023-02-20 17:23:53', STRINGDECODE('2.1 Pr\u00e9-requis'), '', '', '', 2, 1, 4, TIMESTAMP '2022-09-20 00:00:00', STRINGDECODE('2.1 Pr\u00e9-requis'), STRINGDECODE('<p> L''int\u00e9gration des dictionnaires dans oStorybook s''op\u00e8re via le menu Aide &gt;&nbsp;Orthographe. Puis choisissez votre langue et t\u00e9l\u00e9chargez les dictionnaires correspondants. </p> \n<p> La v\u00e9rification grammaticale utilisera les extensions LanguageTool et/ou Grammalecte. </p> \n<p> <b>Recommandation</b> </p> \n<p> Profitez de l''occasion pour installer l''extension autant dans votre navigateur que dans votre logiciel bureautique. Et, pourquoi pas, installez le dans Thunderbird (votre logiciel de courrier \u00e9lectronique). Voir le lien des site plu haut. </p>'), 0, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(3, '2022-09-20 11:35:26', '2023-02-20 21:13:19', '3.2 Utilisation mode autonome', '', '', '', 3, 1, 9, TIMESTAMP '2022-09-20 00:00:00', '3.2 Utilisation mode autonome', STRINGDECODE('<p> Si CkEditor a bien \u00e9t\u00e9 install\u00e9, un bouton sp\u00e9cial appara\u00eet dans l''\u00e9diteur de sc\u00e8ne (rep\u00e8re 3), compl\u00e8tement \u00e0 droite : </p> \n<p align=\"center\"> <img src=\"file:///home/favdb/oStorybook/oStorybook-doc/fr/guides/VerifOrtho/Images/verif2.png\" height=\"200\"> </p> \n<p align=\"center\"> <i>(capture partielle d''\u00e9cran)</i> </p> \n<p> Le module externe mis \u00e0 disposition est bas\u00e9 sur un fichier HTML qui utilisera <i><b>CkEditor</b></i>. Mettez en oeuvre la v\u00e9rification orthographique en suivant les indications de l''extension utilis\u00e9e. </p> \n<p> Pour <b>Grammalecte</b> allez \u00e0 la fin du texte puis cliquez sur l''espace r\u00e9siduel \u00e0 la fin pour faire appara\u00eetre le menu contextuel. </p> \n<p> Apr\u00e8s avoir effectu\u00e9 vos corrections basculez en mode \"source\" et copiez le code HTML correspondant (via les raccourcis clavier Ctrl+A et Ctrl+C). </p> \n<p> Revenez \u00e0 l''\u00e9diteur de sc\u00e8ne dans oStorybook et basculez en mode \"code HTML\" puis collez le contenu du presse-papier (via les raccourcis Ctrl+A et Ctrl+V). </p>'), 0, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(5, '2022-09-20 11:35:56', '2023-02-26 09:50:52', STRINGDECODE('5.1 Complexit\u00e9'), '', '', '', 5, 1, 13, TIMESTAMP '2022-09-20 00:00:00', STRINGDECODE('5.1 Complexit\u00e9'), STRINGDECODE('<p> Le processus peut vous para\u00eetre complexe, mais tr\u00e8s rapidement vous pourrez acqu\u00e9rir les r\u00e9flexes n\u00e9cessaires, et, finalement, vous vous rendrez compte que tout ceci est tr\u00e8s simple. </p>'), 0, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(6, '2022-09-20 14:18:43', '2023-02-20 21:15:12', '3.3 Utilisation mode bureautique', '', '', '', 3, 1, 10, TIMESTAMP '2022-09-20 00:00:00', '3.3 Utilisation mode bureautique', STRINGDECODE('<p> Le point de d\u00e9part est l''\u00e9diteur de sc\u00e8ne. Utilisez le bouton avec une grosse fl\u00e8che verte orient\u00e9e vers la droite \"Enregistrer dans un fichier\" (rep\u00e8re 1), et choisissez le dossier et le fichier, sans oublier l''extension DOCX ou ODT. </p> \n<p align=\"center\"> <img src=\"file:///home/favdb/oStorybook/oStorybook-doc/fr/guides/VerifOrtho/Images/verif2.png\" height=\"200\"> </p> \n<p align=\"center\"> <i>(capture partielle de l''\u00e9diteur de sc\u00e8ne)</i> </p> \n<p> D\u00e9marrez votre logiciel de bureautique et ouvrez le fichier que vous venez de cr\u00e9er. Proc\u00e9dez \u00e0 sa v\u00e9rification avec le correcteur, puis enregistrez le fichier et quittez, \u00e9ventuellement, le logiciel de bureautique. </p> \n<p> De retour dans oStorybook, vous \u00eates toujours dans l''\u00e9diteur de sc\u00e8ne. Pour r\u00e9int\u00e9grer vos corrections, utilisez le bouton repr\u00e9sentant une grosse fl\u00e8che rouge orient\u00e9 vers la gauche (rep\u00e8re 2), \"Coller depuis un fichier\" et s\u00e9lectionnez votre fichier. Le texte de la sc\u00e8ne sera remplac\u00e9 par le contenu du fichier. </p>'), 0, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL);             
INSERT INTO "PUBLIC"."SCENE" VALUES
(7, '2022-09-20 14:20:39', '2023-02-20 17:40:29', '3.1 Utilisation', '', '', '', 3, 1, 8, TIMESTAMP '2022-09-20 00:00:00', '3.1 Utilisation', STRINGDECODE('<p> La v\u00e9rification orthographique, gr\u00e2ce aux dictionnaires int\u00e9gr\u00e9s, voir chapitre 2.2, est automatique.&nbsp;Chaque anomalie d\u00e9tect\u00e9e est signal\u00e9e par un soulign\u00e9 rouge ondul\u00e9. Un simple clique droit sur le mot concern\u00e9 ouvre un menu contextuel dans lequel un sous-menu Orthographe appara\u00eet permettant de choisir le mot de remplacement, ou de l''ajouter dans le dictionnaire personnel. </p> \n<p> Pour effectuer la recherche d''un synonyme ou d''un antonyme il faut d''abord s\u00e9lectionner le mot, ou l''expression, souhait\u00e9. Les sous-menu correspondants appara\u00eetront alors dans le menu contextuel sur un clique droit. </p> \n<p> Selon l''utilisation de oStorybook, pour la v\u00e9rification grammaticale, on distingue les deux mode: </p> \n<p> <b>Mode autonome</b>: le principe g\u00e9n\u00e9ral consistera \u00e0 utiliser le format HTML, puis via le navigateur <b>Firefox</b> ou <b>Chrome</b> le module de v\u00e9rification sera activ\u00e9 gr\u00e2ce \u00e0 <b>CkEditor</b>. </p> \n<p> <b>Mode bureautique</b>: c''est le format \"document\" (DOCX ou ODT) qui est utilis\u00e9. \u00c0 noter que ce mode permettra l''acc\u00e8s \u00e0 plus de fonctionnalit\u00e9s (par exemple le recenseur de mots). </p>'), 0, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(8, '2022-09-20 20:26:13', '2023-02-20 17:17:47', '2.3 Installation de CkEditor', '', '', '', 2, 1, 6, TIMESTAMP '2022-09-20 00:00:00', '2.3 Installation de CkEditor', STRINGDECODE('<p> Pour s''affranchir de la n\u00e9cessit\u00e9 d''une connexion Internet, t\u00e9l\u00e9chargez le petit logiciel: </p> \n<p> <a href=\"https://download.cksource.com/CKEditor/CKEditor/CKEditor%204.20.0/ckeditor_4.20.0_full.zip\">https://download.cksource.com/CKEditor/CKEditor/CKEditor%204.20.0/ckeditor_4.20.0_full.zip</a>&nbsp; </p> \n<p> Il s''agit de <b>CkEditor</b> (dans sa version 4) \u00e0 d\u00e9compresser dans votre dossier personnel. </p> \n<p> Lorsque <b>CkEditor</b> est install\u00e9 oStorybook ajoutera un bouton dans l''\u00e9diteur de sc\u00e8ne permettant de lancer automatiquement votre navigateur avec un fichier cr\u00e9\u00e9 dynamiquement intitul\u00e9 \"verif.html\" et contenant le texte de la sc\u00e8ne. </p>'), 0, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(9, '2022-09-20 20:32:47', '2023-02-20 17:17:59', '2.4 Installation des extensions', '', '', '', 2, 1, 7, TIMESTAMP '2022-09-20 00:00:00', '2.4 Installation des extensions', STRINGDECODE('<p> Proc\u00e9dez \u00e0 l''installation des diff\u00e9rentes extensions (pour Firefox et/ou Chrome, LibreOffice, Word) \u00e0 partir des sites suivant en respectant les indications qui y sont donn\u00e9es: </p> \n<p> <b>LanguageTool</b>: <a href=\"https://languagetool.org/fr\">https://languagetool.org/fr</a>&nbsp; </p> \n<p> <b>Grammalecte</b>: <a href=\"https://grammalecte.net/\">https://grammalecte.net/</a>&nbsp; </p>'), 0, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(10, '2022-10-05 14:41:28', '2023-02-23 11:58:48', STRINGDECODE('1.1 Pr\u00e9sentation'), '', '', '', 1, 1, 1, TIMESTAMP '2022-09-20 00:00:00', STRINGDECODE('1.1 Pr\u00e9sentation'), STRINGDECODE('<p> La v\u00e9rification de l''orthographe et de la grammaire n\u00e9cessite des ressources assez volumineuses, ne serait-ce que pour la partie dictionnaire. Beaucoup de logiciels sp\u00e9cialis\u00e9s existent d\u00e9j\u00e0, que ce soient sous forme commerciale ou de logiciel Open Source. oStorybook int\u00e8gre l''un de ces outils sous une forme rudimentaire, mais vous voudrez peut-\u00eatre disposer de quelque chose de plus \u00e9labor\u00e9. </p> \n<p> Le choix a \u00e9t\u00e9 fait de ne pas grever oStorybook d''une panoplie complexe et de confier cette t\u00e2che \u00e0 ces logiciels sp\u00e9cialis\u00e9s. La plupart du temps ces logiciels proposent une int\u00e9gration directement dans votre navigateur (Firefox ou Chrome) ou dans votre logiciel de bureautique (Word ou LibreOffice). Deux solutions d''extension vous sont propos\u00e9es : <b>LanguageTool</b> et/ou <b>Grammalecte</b>. </p> \n<p> La v\u00e9rification de la grammaire sera syst\u00e9matiquement confi\u00e9e \u00e0 ces extensions via votre navigateur <b>Firefox</b> ou <b>Chrome</b>, avec utilisation de <b>CkEditor</b>. </p> \n<p> LanguageTool, Grammalecte et les logiciels sp\u00e9cifiques doivent rester des modules externes \u00e0 oStorybook. En effet, tous ces logiciels ne traitent pas vraiment les mises en forme (du genre \"liste num\u00e9rot\u00e9\" ou encore le gras, l''italique, etc...). Ce qui suit est donc une mani\u00e8re de faire qui peut d\u00e9pendre de la mani\u00e8re d''utiliser oStorybook. Deux cas de figure seront d\u00e9crits: </p> \n<ul> \n <li> utilisation de oStorybook exclusivement, ci-apr\u00e8s d\u00e9sign\u00e9 comme \"mode autonome\"; </li> \n <li> utilisation conjointe de oStorybook et d''un outil de bureautique (Writer de LibreOffice et/ou Word de Microsoft), qui sera appel\u00e9 \"mode bureautique\". </li> \n</ul> \n<p> Gardez bien \u00e0 l''esprit que, quelque soit le mode, vos mises en forme ne seront jamais vraiment trait\u00e9es comme il faut. </p>'), 0, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL);  
INSERT INTO "PUBLIC"."SCENE" VALUES
(11, '2022-10-05 14:42:36', '2023-02-20 17:12:14', '1.2 LanguageTool', '', '', '', 1, 1, 2, TIMESTAMP '2022-09-20 00:00:00', '1.2 LanguageTool', STRINGDECODE('<p> <i>B\u00e9n\u00e9ficiez de conseils personnalis\u00e9s et de suggestions d\u2019am\u00e9liorations de vos textes, o\u00f9 que vous soyez. L\u2019extension LanguageTool s\u2019int\u00e8gre sur tous les navigateurs (y compris vos supports de r\u00e9daction) pour corriger vos e-mails, vos articles de blog ou vos tweets en toute simplicit\u00e9. Gr\u00e2ce \u00e0 la reconnaissance automatique de langue, LanguageTool propose des suggestions claires et pr\u00e9cises. Son petit plus&nbsp;? Le respect de la vie priv\u00e9e. Aucun document n\u2019est sauvegard\u00e9 par l\u2019extension. Un logiciel qui a tout bon&nbsp;!</i> </p> \n<p align=\"right\"> (source : <a href=\"https://languagetool.org/fr\">https://languagetool.org/fr</a>&nbsp;) </p>'), 0, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(12, '2023-02-20 17:14:26', '2023-02-20 21:36:10', '4.1 Dictionnaire orthographique', '', '', '', 4, 1, 11, TIMESTAMP '2022-09-20 00:00:00', '4.1 Dictionnaire orthographique', STRINGDECODE('<p> Le syst\u00e8me utilis\u00e9 par oStorybook pour la v\u00e9rification orthographique est directement issu du projet JOrtho disponible \u00e0 cette adresse: </p> \n<p> <a href=\"https://jortho.sourceforge.net/\">https://jortho.sourceforge.net/</a>&nbsp; </p> \n<p> Le dictionnaire est un simple fichier de texte dans lequel le contenu de chaque ligne est constitu\u00e9 d''un mot. </p> \n<p> En compl\u00e9ment JOrtho enregistre vos mots ajout\u00e9s dans un fichier \"UserDictionary_fr.txt\". </p> \n<p> Tous les dictionnaires sont enregistr\u00e9s dans votre sous-dossier cach\u00e9 intitul\u00e9 \".storybook\". </p> \n<p> Vous pouvez cr\u00e9er votre propre dictionnaire de base, voyez les informations dans la page d''accueil du projet. </p>'), 0, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(13, '2023-02-20 17:15:16', '2023-02-20 21:52:46', '4.2 Dictionnaire des synonymes et antonymes', '', '', '', 4, 1, 12, TIMESTAMP '2022-09-20 00:00:00', '4.2 Dictionnaire des synonymes et antonymes', STRINGDECODE('<p> Le dictionnaire des synonymes et des antonymes est issu du projet Grammalecte sous une forme simplifi\u00e9e et r\u00e9interpr\u00e9t\u00e9e. </p> \n<p> Comme le dictionnaire orthographique, le dictionnaire des synonymes, intitul\u00e9 \"thesaurus_fr.ocid\" est un fichier texte o\u00f9 chaque ligne d\u00e9crit un mot sous la forme suivante: </p> \n<p> mot@[(nature)|]synonyme1|synonyme2#antonyme1|antonyme2 </p> \n<p> o\u00f9 </p> \n<ul> \n <li> mot est le mot d\u00e9crit, </li> \n <li> (nature) est la nature du mot (Nom, Verbe, Adjectif, etc...), la nature est facultative d''o\u00f9 les crochets pour l''indiquer, </li> \n <li> synonyme1 etc... est la liste des synonymes dont chacun est s\u00e9par\u00e9 du suivant par le caract\u00e8re | (pipe), </li> \n <li> antonyme1 etc... est la liste des antonymes dont chacun est s\u00e9par\u00e9 du suivant par le caract\u00e8re | (pipe), </li> \n</ul> \n<p> \u00c0 noter que toute ligne commen\u00e7ant par le caract\u00e8re # (di\u00e8se) indique qu''il s''agit d''un commentaire qui sera ignor\u00e9. Traditionnellement ces commentaires, situ\u00e9s en d\u00e9but de fichier, indique la source du dictionnaire. </p>'), 0, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(14, '2023-02-20 17:17:15', '2023-02-20 21:02:05', '2.2 Installation des dictionnaires', '', '', '', 2, 1, 5, TIMESTAMP '2022-09-20 00:00:00', '2.2 Installation des dictionnaires', STRINGDECODE('<p> Dans la bo\u00eete de dialogue ouverte par le menu Aide&gt;Orthographe appara\u00eet la langue d\u00e9j\u00e0 s\u00e9lectionn\u00e9e. </p> \n<p> <img src=\"file:///home/favdb/oStorybook/oStorybook-doc/fr/guides/VerifOrtho/Images/dictionary1.png\"> &nbsp; </p> \n<p> La liste des dictionnaires install\u00e9s peut \u00eatre vide. Cliquez le bouton \"R\u00e9cup\u00e9rer la liste\" pour avoir la liste des dictionnaires t\u00e9l\u00e9chargeable. </p> \n<p> <img src=\"file:///home/favdb/oStorybook/oStorybook-doc/fr/guides/VerifOrtho/Images/dictionary2.png\"> &nbsp; </p> \n<p> S\u00e9lectionnez la langue d\u00e9sir\u00e9e puis appuyez sur le bouton \"T\u00e9l\u00e9chargement\". </p> \n<p> La langue concern\u00e9e appara\u00eet dans la liste des dictionnaires install\u00e9s, s\u00e9lectionnez la en appuyant sur le bouton correspondant, puis sur Fermer. </p> \n<p> Les dictionnaires sont maintenant install\u00e9s et op\u00e9rationnels. </p>'), 0, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL);               
INSERT INTO "PUBLIC"."SCENE" VALUES
(15, '2023-02-20 22:12:22', '2023-02-20 22:12:22', '5.2 Avis aux traducteurs', '', '', '', 5, 1, 14, TIMESTAMP '2022-09-20 00:00:00', '5.2 Avis aux traducteurs', STRINGDECODE('<p> Tout ce qui est d\u00e9crit dans ce document correspond au fran\u00e7ais.&nbsp;Pour une autre langue il convient de disposer des ressources n\u00e9cessaires, en particulier concernant le dictionnaires des synonymes. Merci de contacter l''\u00e9quipe de d\u00e9veloppement pour mettre en place le n\u00e9cessaire indispensable, dont la traduction du fichier des messages. </p>'), 0, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL);   
CREATE CACHED TABLE "PUBLIC"."STATUS"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ICONE" VARCHAR(256)
);       
ALTER TABLE "PUBLIC"."STATUS" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_92" PRIMARY KEY("ID");       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STATUS;   
CREATE CACHED TABLE "PUBLIC"."STRAND"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ABBREVIATION" VARCHAR(256),
    "COLOR" INTEGER,
    "SORT" INTEGER
);       
ALTER TABLE "PUBLIC"."STRAND" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_926" PRIMARY KEY("ID");      
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.STRAND;   
INSERT INTO "PUBLIC"."STRAND" VALUES
(1, '2022-09-20 11:34:13', '2022-09-20 11:34:13', STRINGDECODE('Fil par d\u00e9faut'), '', '', '', 'DS', -1052673, 1);    
CREATE CACHED TABLE "PUBLIC"."TAG"(
    "ID" BIGINT NOT NULL,
    "TYPE" INTEGER NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(255),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CATEGORY" VARCHAR(255)
);          
ALTER TABLE "PUBLIC"."TAG" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_1" PRIMARY KEY("ID");           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TAG;      
CREATE CACHED TABLE "PUBLIC"."TAG_LINK"(
    "ID" BIGINT NOT NULL,
    "TYPE" INTEGER NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(255),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "START_SCENE_ID" BIGINT,
    "END_SCENE_ID" BIGINT,
    "CHARACTER_ID" BIGINT,
    "LOCATION_ID" BIGINT,
    "TAG_ID" BIGINT
);
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2D" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TAG_LINK; 
CREATE CACHED TABLE "PUBLIC"."TIMEEVENT"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "TITLE" VARCHAR(256),
    "EVENT_TS" TIMESTAMP,
    "DURATION" VARCHAR(255),
    "TIME_STEP" INTEGER,
    "CATEGORY" VARCHAR(255),
    "COLOR" INTEGER
);  
ALTER TABLE "PUBLIC"."TIMEEVENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_A8" PRIMARY KEY("ID");    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TIMEEVENT;
CREATE CACHED TABLE "PUBLIC"."PERSON_ATTRIBUTE"(
    "PERSON_ID" BIGINT NOT NULL,
    "ATTRIBUTE_ID" BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_ATTRIBUTE;         
CREATE CACHED TABLE "PUBLIC"."PERSON_CATEGORIES"(
    "PERSON_ID" BIGINT NOT NULL,
    "CATEGORY_ID" BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_CATEGORIES;        
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_ITEMS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "ITEM_ID" BIGINT NOT NULL
);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_ITEMS;       
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_LOCATIONS;   
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_PERSONS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "PERSON_ID" BIGINT NOT NULL
); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_PERSONS;     
CREATE CACHED TABLE "PUBLIC"."SCENE_ITEM"(
    "SCENE_ID" BIGINT NOT NULL,
    "ITEM_ID" BIGINT NOT NULL
);    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_ITEM;               
CREATE CACHED TABLE "PUBLIC"."SCENE_LOCATION"(
    "SCENE_ID" BIGINT NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_LOCATION;           
CREATE CACHED TABLE "PUBLIC"."SCENE_PERSON"(
    "SCENE_ID" BIGINT NOT NULL,
    "PERSON_ID" BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PERSON;             
CREATE CACHED TABLE "PUBLIC"."SCENE_PLOT"(
    "SCENE_ID" BIGINT NOT NULL,
    "PLOT_ID" BIGINT NOT NULL
);    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PLOT;               
CREATE CACHED TABLE "PUBLIC"."SCENE_STRAND"(
    "SCENE_ID" BIGINT NOT NULL,
    "STRAND_ID" BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_STRAND;             
ALTER TABLE "PUBLIC"."RELATIONSHIP_ITEMS" ADD CONSTRAINT "PUBLIC"."FK6F2B36F9BA956C76" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS" ADD CONSTRAINT "PUBLIC"."FK1FB562174C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."CATEGORY" ADD CONSTRAINT "PUBLIC"."FK31A8ACFE18A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C648F075E" FOREIGN KEY("CHAPTER_ID") REFERENCES "PUBLIC"."CHAPTER"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."EPISODE" ADD CONSTRAINT "PUBLIC"."FKCEBD49DB648F075E" FOREIGN KEY("CHAPTER_ID") REFERENCES "PUBLIC"."CHAPTER"("ID") NOCHECK;             
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C37380422" FOREIGN KEY("NARRATOR_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FA8B82A3E" FOREIGN KEY("TAG_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;     
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C79E12EB6" FOREIGN KEY("STRAND_ID") REFERENCES "PUBLIC"."STRAND"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."PERSON_ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."FKD555DA32BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."FK8C768F558C3830D6" FOREIGN KEY("GENDER_ID") REFERENCES "PUBLIC"."GENDER"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F36DA5802" FOREIGN KEY("CHARACTER_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."SCENE_ITEM" ADD CONSTRAINT "PUBLIC"."FK7BFE92E65A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."SCENE_STRAND" ADD CONSTRAINT "PUBLIC"."FK87BBB11979E12EB6" FOREIGN KEY("STRAND_ID") REFERENCES "PUBLIC"."STRAND"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."EPISODE" ADD CONSTRAINT "PUBLIC"."FKCEBD49DB79E12EB6" FOREIGN KEY("STRAND_ID") REFERENCES "PUBLIC"."STRAND"("ID") NOCHECK;               
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38D370C73B" FOREIGN KEY("START_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FD00CFAE2" FOREIGN KEY("END_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;             
ALTER TABLE "PUBLIC"."RELATIONSHIP_PERSONS" ADD CONSTRAINT "PUBLIC"."FKAAA634B7BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."SCENE_PERSON" ADD CONSTRAINT "PUBLIC"."FK81CA0A68BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38B5437ECF" FOREIGN KEY("PERSON1_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."RELATIONSHIP_ITEMS" ADD CONSTRAINT "PUBLIC"."FK6F2B36F948B9F696" FOREIGN KEY("ITEM_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."PERSON_CATEGORIES" ADD CONSTRAINT "PUBLIC"."FKA7F094618A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS" ADD CONSTRAINT "PUBLIC"."FK1FB56217BA956C76" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;    
ALTER TABLE "PUBLIC"."SCENE_LOCATION" ADD CONSTRAINT "PUBLIC"."FK8E5696084C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;    
ALTER TABLE "PUBLIC"."ENDNOTE" ADD CONSTRAINT "PUBLIC"."FKCB0ADF2D5A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK; 
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38D00CFAE2" FOREIGN KEY("END_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38B543F32E" FOREIGN KEY("PERSON2_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."SCENE_PLOT" ADD CONSTRAINT "PUBLIC"."FK7C01A4B45A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."LOCATION" ADD CONSTRAINT "PUBLIC"."FK9FF58FB54C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."SCENE_STRAND" ADD CONSTRAINT "PUBLIC"."FK87BBB1195A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F4C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;           
ALTER TABLE "PUBLIC"."SCENE_ITEM" ADD CONSTRAINT "PUBLIC"."FK7BFE92E648B9F696" FOREIGN KEY("ITEM_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK; 
ALTER TABLE "PUBLIC"."SCENE_PERSON" ADD CONSTRAINT "PUBLIC"."FK81CA0A685A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."PERSON_CATEGORIES" ADD CONSTRAINT "PUBLIC"."FKA7F0946BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."FK8C768F5518A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."SCENE_LOCATION" ADD CONSTRAINT "PUBLIC"."FK8E5696085A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FD370C73B" FOREIGN KEY("START_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;           
ALTER TABLE "PUBLIC"."CHAPTER" ADD CONSTRAINT "PUBLIC"."FK56D8082D9B56CA96" FOREIGN KEY("PART_ID") REFERENCES "PUBLIC"."PART"("ID") NOCHECK;   
ALTER TABLE "PUBLIC"."SCENE_PLOT" ADD CONSTRAINT "PUBLIC"."FK7C01A4B4ADF1FBD6" FOREIGN KEY("PLOT_ID") REFERENCES "PUBLIC"."PLOT"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F961090AF" FOREIGN KEY("TAG_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;     
ALTER TABLE "PUBLIC"."PERSON_ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."FKD555DA32490A0FFE" FOREIGN KEY("ATTRIBUTE_ID") REFERENCES "PUBLIC"."ATTRIBUTE"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."EPISODE" ADD CONSTRAINT "PUBLIC"."FKCEBD49DB5A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK; 
ALTER TABLE "PUBLIC"."RELATIONSHIP_PERSONS" ADD CONSTRAINT "PUBLIC"."FKAAA634B7BA956C76" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."PART" ADD CONSTRAINT "PUBLIC"."FK255BF39B56CA96" FOREIGN KEY("PART_ID") REFERENCES "PUBLIC"."PART"("ID") NOCHECK;        
